curl "https://api.hitler.app/api/morning-threads/THREAD_UUID/submissions" \
-H "X-API-Key: YOUR_API_KEY"
[
{
"id": "sub-uuid-1",
"morningThreadId": "thread-uuid",
"userId": "user-uuid-1",
"messageTs": "1709712060.000200",
"rawText": "Working on the API refactor and code review for PR #42",
"parsed": false,
"submittedAt": "2026-03-06T09:01:00.000Z"
}
]
Morning Threads
List Submissions
List all submissions for a morning thread
GET
/
api
/
morning-threads
/
{id}
/
submissions
curl "https://api.hitler.app/api/morning-threads/THREAD_UUID/submissions" \
-H "X-API-Key: YOUR_API_KEY"
[
{
"id": "sub-uuid-1",
"morningThreadId": "thread-uuid",
"userId": "user-uuid-1",
"messageTs": "1709712060.000200",
"rawText": "Working on the API refactor and code review for PR #42",
"parsed": false,
"submittedAt": "2026-03-06T09:01:00.000Z"
}
]
This endpoint requires API key authentication (service-to-service).
Path Parameters
string
required
Morning thread UUID
Response
Array of thread submissions.string
Submission UUID
string
Parent morning thread UUID
string
User UUID who submitted
string
Slack message timestamp
string
Raw text of the submission
boolean
Whether the submission has been parsed into tasks
string
Submission timestamp
curl "https://api.hitler.app/api/morning-threads/THREAD_UUID/submissions" \
-H "X-API-Key: YOUR_API_KEY"
[
{
"id": "sub-uuid-1",
"morningThreadId": "thread-uuid",
"userId": "user-uuid-1",
"messageTs": "1709712060.000200",
"rawText": "Working on the API refactor and code review for PR #42",
"parsed": false,
"submittedAt": "2026-03-06T09:01:00.000Z"
}
]